#
# spec file for package riemann-c-client
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Peter Czanik, Budapest, Hungary.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		riemann-c-client
Version:	1.6.1
Release:	lp150.5.2
Summary:	The riemann C client
License:	GPL-2.0
Group:		System/Libraries
Url:		https://github.com/algernon/riemann-c-client
Source:		riemann-c-client-%{version}.tar.xz
Patch0:		riemann-c-client-1.6.1+gnutls3.1.diff
BuildRequires:  pkgconfig
BuildRequires:	protobuf-c
BuildRequires:  libjson-devel
BuildRequires:	libgnutls-devel
BuildRequires:	xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a C client library for the Riemann monitoring system, providing a
convenient and simple API, high test coverage and a copyleft license,
along with API and ABI stability.

%package devel
Summary:        Development files for riemann-c-client
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:	protobuf-c
Requires:	libgnutls-devel

%description devel
This package provides files necessary for riemann-c-client development.

%prep
%setup -q -n riemann-c-client-%{version}
%patch0 -p1

%build
%configure
make %_smp_mflags

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libriemann-client.so.0.*
%attr(755,root,root) %{_bindir}/riemann-client
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/riemann/
%dir %{_includedir}/riemann/proto/
%attr(644,root,root) %{_libdir}/libriemann-client.so
%attr(644,root,root) %{_libdir}/libriemann-client.so.0
%attr(644,root,root) %{_libdir}/libriemann-client.a
%attr(644,root,root) %{_libdir}/libriemann-client.la
%attr(644,root,root) %{_includedir}/riemann/*.h
%attr(644,root,root) %{_includedir}/riemann/proto/*.h
%attr(644,root,root) %{_libdir}/pkgconfig/riemann-client.pc

%changelog
* Mon Apr 27 2015 peter.czanik@balabit.com
- update to version 1.6.1
- enable gnutls support
- add riemann-c-client-1.6.1+gnutls3.1.diff to fix gnutls
  support (can be removed with next riemann-c-client release)
* Tue Oct 14 2014 czanik@balabit.hu
- update to version 1.2.1
* Thu Feb 27 2014 czanik@balabit.hu
- initial release
